admin_market_index:
    path:     /{type}
    defaults: { _controller: "EmgmbhMarketBundle:Market:index", type: null }
    methods:  GET
    requirements:
        type: '[A-Z]{1,2}'

admin_market_responsibility:
    path:     /{id}/responsibility
    defaults: { _controller: "EmgmbhMarketBundle:Market:responsibility" }
    methods:  GET

admin_market_responsibility_delete_worker:
    path:     /{id}/responsibility/{worker}/delete
    defaults: { _controller: "EmgmbhMarketBundle:Market:deleteResponsibilityWorker" }
    methods:  [GET, DELETE]

admin_market_risk_assessment:
    path:     /{market}/riskassessment
    defaults: { _controller: "EmgmbhMarketBundle:Market:riskAssessment" }
    methods:  [GET, POST]

admin_market_working_plan_list:
    path:     /{market}/workingPlan
    defaults: { _controller: "EmgmbhMarketBundle:Market:workingPlanList" }
    methods:  GET

admin_market_working_plan:
    path:     /{market}/workingPlan/{year}/{weekNumber}
    defaults: { _controller: "EmgmbhMarketBundle:Market:workingPlan" }
    methods:  GET

admin_market_working_plan_worker_status_change:
    path:     /{market}/workingPlan/{worker}/{year}/{weekNumber}/{weekDay}/{status}
    defaults: { _controller: "EmgmbhMarketBundle:Market:workingPlanWorkerChangeStatus", status: null }
    methods:  GET

admin_market_billofquantities:
    path:     /{market}/billofquantities
    defaults: { _controller: "EmgmbhMarketBundle:Market:billOfQuantities" }
    methods:  [GET, POST]

admin_market_location:
    path:     /{market}/location
    defaults: { _controller: "EmgmbhMarketBundle:Market:location" }
    methods:  [GET, POST]

admin_market_emergencynumbers:
    path:     /{market}/emergencynumbers
    defaults: { _controller: "EmgmbhMarketBundle:Market:emergencyNumbers" }
    methods:  [GET, POST]

admin_market_new:
    path:     /new
    defaults: { _controller: "EmgmbhMarketBundle:Market:new" }
    methods:  [GET, POST]

admin_market_edit:
    path:     /{id}/edit
    defaults: { _controller: "EmgmbhMarketBundle:Market:edit" }
    methods:  [GET, POST]

admin_market_delete:
    path:     /{id}/delete
    defaults: { _controller: "EmgmbhMarketBundle:Market:delete" }
    methods:  [GET, DELETE]

admin_market_district_route_edit:
    path:     /{id}/route/edit
    defaults: { _controller: "EmgmbhMarketBundle:DistrictRoute:edit" }
    methods:  [GET, POST]

admin_market_district_route_delete:
    path:     /{id}/route/delete/{customerId}
    defaults: { _controller: "EmgmbhMarketBundle:DistrictRoute:delete" }
    methods:  [GET]
